<?php

declare(strict_types=1);

// src/Commands/InvoiceCommand.php;

namespace RprtCli\Commands;

use RprtCli\Utils\Configuration\ConfigurationInterface;
use Symfony\Component\Console\Command\Command;

// use Symfony\Contracts\Translation\TranslatorInterface;

/**
 * Abstract class that adds some common services and input options.
 */
class AbstractCliCommand extends Command
{
    protected $configuration;

    // @TODO Add service factory service.
    // protected $trackingServiceFactory;

    public function __construct(
        ConfigurationInterface $configuration,
        ?string $name = null
    ) {
        $this->configuration = $configuration;
        parent::__construct($name);
    }
}
